Fatal error – PayPal Payments – Woocommerce

[ad_1]

I am getting the same error on my website. It crashes the site, I had to deactivate it. WordPress is updated to the latest version.
Here is the error message:

PHP Fatal error:  Declaration of WCPBC_PayPal_Api_Client_Module::setup(): Interop\Container\ServiceProviderInterface must be compatible with WooCommerce\PayPalCommerce\ApiClient\ApiModule::setup(): WooCommerce\PayPalCommerce\Vendor\Interop\Container\ServiceProviderInterface in /home/xxxx/domains/xxxxx.com/public_html/wp-content/plugins/woocommerce-product-price-based-on-countries/includes/integrations/paypal-payments/class-wcpbc-paypal-api-client-module.php on line 28
Fatal error: Declaration of WCPBC_PayPal_Api_Client_Module::setup(): Interop\Container\ServiceProviderInterface must be compatible with WooCommerce\PayPalCommerce\ApiClient\ApiModule::setup(): WooCommerce\PayPalCommerce\Vendor\Interop\Container\ServiceProviderInterface in /home/xxxx/domains/xxxx.com/public_html/wp-content/plugins/woocommerce-product-price-based-on-countries/includes/integrations/paypal-payments/class-wcpbc-paypal-api-client-module.php on line 28
Error: There has been a critical error on this website. Learn more about troubleshooting WordPress. There has been a critical error on this website.

has it been fixed? I can’t afford for the site to go down again.

Fixed on version 2.2.8. You should test major updates on a staging site first.

 

This site will teach you how to build a WordPress website for beginners. We will cover everything from installing WordPress to adding pages, posts, and images to your site. You will learn how to customize your site with themes and plugins, as well as how to market your site online.

Buy WordPress Transfer